require("../../../_virtual/_rolldown/runtime.cjs");
let lit = require("lit");
let lit_directives_style_map_js = require("lit/directives/style-map.js");
//#region src/components/lukso-icon/icons/pulse-dot.ts
var pulseDot = (options) => {
	return lit.html`<div
    style=${(0, lit_directives_style_map_js.styleMap)({
		width: `${options.width}px`,
		height: `${options.height}px`
	})}
    class="flex items-center justify-center text-16"
  >
    <div
      class="w-[83.3%] h-[83.3%] rounded-full flex items-center justify-center bg-neutral-90"
    >
      <div
        class="w-[60%] h-[60%] rounded-full animate-pulse-resize bg-green-54"
      ></div>
    </div>
  </div>`;
};
//#endregion
exports.pulseDot = pulseDot;
